## org.eclipse.datatools.modelbase.sql.constraints.impl
Class SQLConstraintsPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.sql.constraints.impl.SQLConstraintsPackageImpl

All Implemented Interfaces:
  SQLConstraintsPackage

public class SQLConstraintsPackageImpl
extends EPackageImpl
implements SQLConstraintsPackage

An implementation of the model Package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.datatools.modelbase.sql.constraints.SQLConstraintsPackage
`SQLConstraintsPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.constraints.SQLConstraintsPackage

`ASSERTION, ASSERTION__COMMENTS, ASSERTION__CONSTRAINED_TABLES, ASSERTION__DEFERRABLE, ASSERTION__DEPENDENCIES, ASSERTION__DESCRIPTION, ASSERTION__EANNOTATIONS, ASSERTION__ENFORCED, ASSERTION__INITIALLY_DEFERRED, ASSERTION__LABEL, ASSERTION__NAME, ASSERTION__PRIVILEGES, ASSERTION__SCHEMA, ASSERTION__SEARCH_CONDITION, ASSERTION_FEATURE_COUNT, CHECK_CONSTRAINT, CHECK_CONSTRAINT__BASE_TABLE, CHECK_CONSTRAINT__COMMENTS, CHECK_CONSTRAINT__DEFERRABLE, CHECK_CONSTRAINT__DEPENDENCIES, CHECK_CONSTRAINT__DESCRIPTION, CHECK_CONSTRAINT__EANNOTATIONS, CHECK_CONSTRAINT__ENFORCED, CHECK_CONSTRAINT__INITIALLY_DEFERRED, CHECK_CONSTRAINT__LABEL, CHECK_CONSTRAINT__NAME, CHECK_CONSTRAINT__PRIVILEGES, CHECK_CONSTRAINT__SEARCH_CONDITION, CHECK_CONSTRAINT_FEATURE_COUNT, CONSTRAINT, CONSTRAINT__COMMENTS, CONSTRAINT__DEFERRABLE, CONSTRAINT__DEPENDENCIES, CONSTRAINT__DESCRIPTION, CONSTRAINT__EANNOTATIONS, CONSTRAINT__ENFORCED, CONSTRAINT__INITIALLY_DEFERRED, CONSTRAINT__LABEL, CONSTRAINT__NAME, CONSTRAINT__PRIVILEGES, CONSTRAINT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FOREIGN_KEY, FOREIGN_KEY__BASE_TABLE, FOREIGN_KEY__COMMENTS, FOREIGN_KEY__DEFERRABLE, FOREIGN_KEY__DEPENDENCIES, FOREIGN_KEY__DESCRIPTION, FOREIGN_KEY__EANNOTATIONS, FOREIGN_KEY__ENFORCED, FOREIGN_KEY__INITIALLY_DEFERRED, FOREIGN_KEY__LABEL, FOREIGN_KEY__MATCH, FOREIGN_KEY__MEMBERS, FOREIGN_KEY__NAME, FOREIGN_KEY__ON_DELETE, FOREIGN_KEY__ON_UPDATE, FOREIGN_KEY__PRIVILEGES, FOREIGN_KEY__REFERENCED_MEMBERS, FOREIGN_KEY__REFERENCED_TABLE, FOREIGN_KEY__UNIQUE_CONSTRAINT, FOREIGN_KEY__UNIQUE_INDEX, FOREIGN_KEY_FEATURE_COUNT, INCREMENT_TYPE, INDEX, INDEX__CLUSTERED, INDEX__COMMENTS, INDEX__DEPENDENCIES, INDEX__DESCRIPTION, INDEX__EANNOTATIONS, INDEX__FILL_FACTOR, INDEX__FOREIGN_KEY, INDEX__INCLUDED_MEMBERS, INDEX__LABEL, INDEX__MEMBERS, INDEX__NAME, INDEX__PRIVILEGES, INDEX__SCHEMA, INDEX__SYSTEM_GENERATED, INDEX__TABLE, INDEX__UNIQUE, INDEX_FEATURE_COUNT, INDEX_MEMBER, INDEX_MEMBER__COLUMN, INDEX_MEMBER__COMMENTS, INDEX_MEMBER__DEPENDENCIES, INDEX_MEMBER__DESCRIPTION, INDEX_MEMBER__EANNOTATIONS, INDEX_MEMBER__INCREMENT_TYPE, INDEX_MEMBER__LABEL, INDEX_MEMBER__NAME, INDEX_MEMBER__PRIVILEGES, INDEX_MEMBER_FEATURE_COUNT, MATCH_TYPE, PRIMARY_KEY, PRIMARY_KEY__BASE_TABLE, PRIMARY_KEY__COMMENTS, PRIMARY_KEY__DEFERRABLE, PRIMARY_KEY__DEPENDENCIES, PRIMARY_KEY__DESCRIPTION, PRIMARY_KEY__EANNOTATIONS, PRIMARY_KEY__ENFORCED, PRIMARY_KEY__FOREIGN_KEY, PRIMARY_KEY__INITIALLY_DEFERRED, PRIMARY_KEY__LABEL, PRIMARY_KEY__MEMBERS, PRIMARY_KEY__NAME, PRIMARY_KEY__PRIVILEGES, PRIMARY_KEY_FEATURE_COUNT, REFERENCE_CONSTRAINT, REFERENCE_CONSTRAINT__BASE_TABLE, REFERENCE_CONSTRAINT__COMMENTS, REFERENCE_CONSTRAINT__DEFERRABLE, REFERENCE_CONSTRAINT__DEPENDENCIES, REFERENCE_CONSTRAINT__DESCRIPTION, REFERENCE_CONSTRAINT__EANNOTATIONS, REFERENCE_CONSTRAINT__ENFORCED, REFERENCE_CONSTRAINT__INITIALLY_DEFERRED, REFERENCE_CONSTRAINT__LABEL, REFERENCE_CONSTRAINT__MEMBERS, REFERENCE_CONSTRAINT__NAME, REFERENCE_CONSTRAINT__PRIVILEGES, REFERENCE_CONSTRAINT_FEATURE_COUNT, TABLE_CONSTRAINT, TABLE_CONSTRAINT__BASE_TABLE, TABLE_CONSTRAINT__COMMENTS, TABLE_CONSTRAINT__DEFERRABLE, TABLE_CONSTRAINT__DEPENDENCIES, TABLE_CONSTRAINT__DESCRIPTION, TABLE_CONSTRAINT__EANNOTATIONS, TABLE_CONSTRAINT__ENFORCED, TABLE_CONSTRAINT__INITIALLY_DEFERRED, TABLE_CONSTRAINT__LABEL, TABLE_CONSTRAINT__NAME, TABLE_CONSTRAINT__PRIVILEGES, TABLE_CONSTRAINT_FEATURE_COUNT, UNIQUE_CONSTRAINT, UNIQUE_CONSTRAINT__BASE_TABLE, UNIQUE_CONSTRAINT__COMMENTS, UNIQUE_CONSTRAINT__DEFERRABLE, UNIQUE_CONSTRAINT__DEPENDENCIES, UNIQUE_CONSTRAINT__DESCRIPTION, UNIQUE_CONSTRAINT__EANNOTATIONS, UNIQUE_CONSTRAINT__ENFORCED, UNIQUE_CONSTRAINT__FOREIGN_KEY, UNIQUE_CONSTRAINT__INITIALLY_DEFERRED, UNIQUE_CONSTRAINT__LABEL, UNIQUE_CONSTRAINT__MEMBERS, UNIQUE_CONSTRAINT__NAME, UNIQUE_CONSTRAINT__PRIVILEGES, UNIQUE_CONSTRAINT_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getAssertion_ConstrainedTables()`
`EReference` `getAssertion_Schema()`
`EReference` `getAssertion_SearchCondition()`
`EClass` `getAssertion()`
`EReference` `getCheckConstraint_SearchCondition()`
`EClass` `getCheckConstraint()`
`EAttribute` `getConstraint_Deferrable()`
`EAttribute` `getConstraint_Enforced()`
`EAttribute` `getConstraint_InitiallyDeferred()`
`EClass` `getConstraint()`
`EAttribute` `getForeignKey_Match()`
`EAttribute` `getForeignKey_OnDelete()`
`EAttribute` `getForeignKey_OnUpdate()`
`EReference` `getForeignKey_ReferencedMembers()`
`EReference` `getForeignKey_ReferencedTable()`
`EReference` `getForeignKey_UniqueConstraint()`
`EReference` `getForeignKey_UniqueIndex()`
`EClass` `getForeignKey()`
`EEnum` `getIncrementType()`
`EAttribute` `getIndex_Clustered()`
`EAttribute` `getIndex_FillFactor()`
`EReference` `getIndex_ForeignKey()`
`EReference` `getIndex_IncludedMembers()`
`EReference` `getIndex_Members()`
`EReference` `getIndex_Schema()`
`EAttribute` `getIndex_SystemGenerated()`
`EReference` `getIndex_Table()`
`EAttribute` `getIndex_Unique()`
`EClass` `getIndex()`
`EReference` `getIndexMember_Column()`
`EAttribute` `getIndexMember_IncrementType()`
`EClass` `getIndexMember()`
`EEnum` `getMatchType()`
`EClass` `getPrimaryKey()`
`EReference` `getReferenceConstraint_Members()`
`EClass` `getReferenceConstraint()`
`SQLConstraintsFactory` `getSQLConstraintsFactory()`
`EReference` `getTableConstraint_BaseTable()`
`EClass` `getTableConstraint()`
`EReference` `getUniqueConstraint_ForeignKey()`
`EClass` `getUniqueConstraint()`
`static SQLConstraintsPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static SQLConstraintsPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SQLConstraintsPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAssertion

    public EClass getAssertion()

  Specified by:
    `getAssertion` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Assertion'.
  See Also:
    `Assertion`

### getAssertion_SearchCondition

    public EReference getAssertion_SearchCondition()

  Specified by:
    `getAssertion_SearchCondition` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the containment reference 'Search Condition'.
  See Also:
    `Assertion.getSearchCondition()`, `SQLConstraintsPackage.getAssertion()`

### getAssertion_Schema

    public EReference getAssertion_Schema()

  Specified by:
    `getAssertion_Schema` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Assertion.getSchema()`, `SQLConstraintsPackage.getAssertion()`

### getAssertion_ConstrainedTables

    public EReference getAssertion_ConstrainedTables()

  Specified by:
    `getAssertion_ConstrainedTables` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference list 'Constrained Tables'.
  See Also:
    `Assertion.getConstrainedTables()`, `SQLConstraintsPackage.getAssertion()`

### getConstraint

    public EClass getConstraint()

  Specified by:
    `getConstraint` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`

### getConstraint_Deferrable

    public EAttribute getConstraint_Deferrable()

  Specified by:
    `getConstraint_Deferrable` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'Deferrable'.
  See Also:
    `Constraint.isDeferrable()`, `SQLConstraintsPackage.getConstraint()`

### getConstraint_InitiallyDeferred

    public EAttribute getConstraint_InitiallyDeferred()

  Specified by:
    `getConstraint_InitiallyDeferred` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'Initially Deferred'.
  See Also:
    `Constraint.isInitiallyDeferred()`, `SQLConstraintsPackage.getConstraint()`

### getConstraint_Enforced

    public EAttribute getConstraint_Enforced()

  Specified by:
    `getConstraint_Enforced` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'Enforced'.
  See Also:
    `Constraint.isEnforced()`, `SQLConstraintsPackage.getConstraint()`

### getTableConstraint

    public EClass getTableConstraint()

  Specified by:
    `getTableConstraint` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Table Constraint'.
  See Also:
    `TableConstraint`

### getTableConstraint_BaseTable

    public EReference getTableConstraint_BaseTable()

  Specified by:
    `getTableConstraint_BaseTable` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the container reference 'Base Table'.
  See Also:
    `TableConstraint.getBaseTable()`, `SQLConstraintsPackage.getTableConstraint()`

### getReferenceConstraint

    public EClass getReferenceConstraint()

  Specified by:
    `getReferenceConstraint` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Reference Constraint'.
  See Also:
    `ReferenceConstraint`

### getReferenceConstraint_Members

    public EReference getReferenceConstraint_Members()

  Specified by:
    `getReferenceConstraint_Members` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference list 'Members'.
  See Also:
    `ReferenceConstraint.getMembers()`, `SQLConstraintsPackage.getReferenceConstraint()`

### getCheckConstraint

    public EClass getCheckConstraint()

  Specified by:
    `getCheckConstraint` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Check Constraint'.
  See Also:
    `CheckConstraint`

### getCheckConstraint_SearchCondition

    public EReference getCheckConstraint_SearchCondition()

  Specified by:
    `getCheckConstraint_SearchCondition` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the containment reference 'Search Condition'.
  See Also:
    `CheckConstraint.getSearchCondition()`, `SQLConstraintsPackage.getCheckConstraint()`

### getForeignKey

    public EClass getForeignKey()

  Specified by:
    `getForeignKey` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Foreign Key'.
  See Also:
    `ForeignKey`

### getForeignKey_Match

    public EAttribute getForeignKey_Match()

  Specified by:
    `getForeignKey_Match` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'Match'.
  See Also:
    `ForeignKey.getMatch()`, `SQLConstraintsPackage.getForeignKey()`

### getForeignKey_OnUpdate

    public EAttribute getForeignKey_OnUpdate()

  Specified by:
    `getForeignKey_OnUpdate` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'On Update'.
  See Also:
    `ForeignKey.getOnUpdate()`, `SQLConstraintsPackage.getForeignKey()`

### getForeignKey_OnDelete

    public EAttribute getForeignKey_OnDelete()

  Specified by:
    `getForeignKey_OnDelete` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'On Delete'.
  See Also:
    `ForeignKey.getOnDelete()`, `SQLConstraintsPackage.getForeignKey()`

### getForeignKey_UniqueConstraint

    public EReference getForeignKey_UniqueConstraint()

  Specified by:
    `getForeignKey_UniqueConstraint` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference 'Unique Constraint'.
  See Also:
    `ForeignKey.getUniqueConstraint()`, `SQLConstraintsPackage.getForeignKey()`

### getForeignKey_ReferencedMembers

    public EReference getForeignKey_ReferencedMembers()

  Specified by:
    `getForeignKey_ReferencedMembers` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference list 'Referenced Members'.
  See Also:
    `ForeignKey.getReferencedMembers()`, `SQLConstraintsPackage.getForeignKey()`

### getForeignKey_UniqueIndex

    public EReference getForeignKey_UniqueIndex()

  Specified by:
    `getForeignKey_UniqueIndex` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference 'Unique Index'.
  See Also:
    `ForeignKey.getUniqueIndex()`, `SQLConstraintsPackage.getForeignKey()`

### getForeignKey_ReferencedTable

    public EReference getForeignKey_ReferencedTable()

  Specified by:
    `getForeignKey_ReferencedTable` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference 'Referenced Table'.
  See Also:
    `ForeignKey.getReferencedTable()`, `SQLConstraintsPackage.getForeignKey()`

### getUniqueConstraint

    public EClass getUniqueConstraint()

  Specified by:
    `getUniqueConstraint` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Unique Constraint'.
  See Also:
    `UniqueConstraint`

### getUniqueConstraint_ForeignKey

    public EReference getUniqueConstraint_ForeignKey()

  Specified by:
    `getUniqueConstraint_ForeignKey` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference list 'Foreign Key'.
  See Also:
    `UniqueConstraint.getForeignKey()`, `SQLConstraintsPackage.getUniqueConstraint()`

### getPrimaryKey

    public EClass getPrimaryKey()

  Specified by:
    `getPrimaryKey` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Primary Key'.
  See Also:
    `PrimaryKey`

### getIndex

    public EClass getIndex()

  Specified by:
    `getIndex` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Index'.
  See Also:
    `Index`

### getIndex_Schema

    public EReference getIndex_Schema()

  Specified by:
    `getIndex_Schema` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Index.getSchema()`, `SQLConstraintsPackage.getIndex()`

### getIndex_Clustered

    public EAttribute getIndex_Clustered()

  Specified by:
    `getIndex_Clustered` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'Clustered'.
  See Also:
    `Index.isClustered()`, `SQLConstraintsPackage.getIndex()`

### getIndex_FillFactor

    public EAttribute getIndex_FillFactor()

  Specified by:
    `getIndex_FillFactor` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'Fill Factor'.
  See Also:
    `Index.getFillFactor()`, `SQLConstraintsPackage.getIndex()`

### getIndex_Unique

    public EAttribute getIndex_Unique()

  Specified by:
    `getIndex_Unique` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'Unique'.
  See Also:
    `Index.isUnique()`, `SQLConstraintsPackage.getIndex()`

### getIndex_SystemGenerated

    public EAttribute getIndex_SystemGenerated()

  Specified by:
    `getIndex_SystemGenerated` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'System Generated'.
  See Also:
    `Index.isSystemGenerated()`, `SQLConstraintsPackage.getIndex()`

### getIndex_Members

    public EReference getIndex_Members()

  Specified by:
    `getIndex_Members` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the containment reference list 'Members'.
  See Also:
    `Index.getMembers()`, `SQLConstraintsPackage.getIndex()`

### getIndex_Table

    public EReference getIndex_Table()

  Specified by:
    `getIndex_Table` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference 'Table'.
  See Also:
    `Index.getTable()`, `SQLConstraintsPackage.getIndex()`

### getIndex_ForeignKey

    public EReference getIndex_ForeignKey()

  Specified by:
    `getIndex_ForeignKey` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference list 'Foreign Key'.
  See Also:
    `Index.getForeignKey()`, `SQLConstraintsPackage.getIndex()`

### getIndex_IncludedMembers

    public EReference getIndex_IncludedMembers()

  Specified by:
    `getIndex_IncludedMembers` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the containment reference list 'Included Members'.
  See Also:
    `Index.getIncludedMembers()`, `SQLConstraintsPackage.getIndex()`

### getIndexMember

    public EClass getIndexMember()

  Specified by:
    `getIndexMember` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for class 'Index Member'.
  See Also:
    `IndexMember`

### getIndexMember_IncrementType

    public EAttribute getIndexMember_IncrementType()

  Specified by:
    `getIndexMember_IncrementType` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the attribute 'Increment Type'.
  See Also:
    `IndexMember.getIncrementType()`, `SQLConstraintsPackage.getIndexMember()`

### getIndexMember_Column

    public EReference getIndexMember_Column()

  Specified by:
    `getIndexMember_Column` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `IndexMember.getColumn()`, `SQLConstraintsPackage.getIndexMember()`

### getMatchType

    public EEnum getMatchType()

  Specified by:
    `getMatchType` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for enum 'Match Type'.
  See Also:
    `MatchType`

### getIncrementType

    public EEnum getIncrementType()

  Specified by:
    `getIncrementType` in interface `SQLConstraintsPackage`
  Returns:
    the meta object for enum 'Increment Type'.
  See Also:
    `IncrementType`

### getSQLConstraintsFactory

    public SQLConstraintsFactory getSQLConstraintsFactory()

  Specified by:
    `getSQLConstraintsFactory` in interface `SQLConstraintsPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.